Subject: bug#75569: 30.0.93; Large /proc/* file are read incompletely

From: Juri Linkov <[email-masked]>
Date: Wed, 15 Jan 2025 09:19:10 +0200

> When opening a large file in /proc/* like /proc/cpuinfo in Emacs via
> find-file, the buffer content is incomplete, when comparing the output
> to the output produced by /bin/cat. The Eshell command eshell/cat has
> the same problem.The proc file system doesn't report file sizes since
> the files are dynamically generated. ls -l /proc/cpuinfo reports size 0.
> Emacs doesn't handle this well, limiting its reads to 16KiB.
>
> In Eshell:
>
> cat /proc/cpuinfo > #<buffer bug>  ==> truncated buffer (exactly 16KiB)
> *cat /proc/cpuinfo > #<buffer bug> ==> complete buffer (larger than 16KiB)

Strange, bug#9800 was closed as fixed, but I confirm the buffer is still
truncated.